package de.mattv.fileserver;

import de.mattv.fileserver.util.NonNull;
import org.slf4j.Logger;

import java.time.Instant;

public class Utils {
    public static void crash(@NonNull Logger logger, String msg) {
        crash(logger, msg, null);
    }

    public static void crash(@NonNull Logger logger, String msg, Throwable err) {
        logger.error(msg, err);
        System.exit(-1);
    }

    public static boolean instantExpired(@NonNull Instant instant) {
        return instant.isBefore(Instant.now());
    }
}
