package de.mattv.fileserver.routes.auth;

import de.mattv.fileserver.data.Token;
import de.mattv.fileserver.data.User;
import de.mattv.fileserver.security.TokenService;
import de.mattv.fileserver.util.AuthUser;
import de.mattv.fileserver.util.UserRestController;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.web.bind.annotation.PostMapping;

@UserRestController
public class Logout {
    @PostMapping("/auth/logout")
    private void logout(@Parameter(hidden = true) Token token) {
        TokenService.logout(token);
    }

    @PostMapping("/auth/logout_all")
    private void logoutAll(@AuthUser User user) {
        TokenService.logoutAll(user.id);
    }
}
